apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongodb-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mongodb-server
  minReadySeconds: 10
  template:
    metadata:
      labels:
        app: mongodb-server
    spec:
      containers:
        - name: mongodb-server
          image: mongo:latest
          ports:
            - containerPort: 27017
